IRremoteESP8266

Public Attributes | List of all members
Bosch144Protocol Union Reference

`#include <ir_Bosch.h>`

## Public Attributes
uint8_t | raw [kBosch144StateLength]
| The state in IR code form. More...
struct {
uint8_t __pad0__:8
uint8_t InnvertS1_1:8
uint8_t __pad1__:5
uint8_t FanS1:3
uint8_t InnvertS1_2:8
uint8_t __pad2__:2
uint8_t ModeS1:2
uint8_t TempS1:4
uint8_t InnvertS1_3:8
uint8_t __pad3__:8
uint8_t InnvertS2_1:8
uint8_t __pad4__:5
uint8_t FanS2:3
uint8_t InnvertS2_2:8
uint8_t __pad5__:2
uint8_t ModeS2:2
uint8_t TempS2:4
uint8_t InnvertS2_3:8
uint8_t __pad6__:8
uint8_t ModeS3:1
uint8_t FanS3:6
uint8_t __pad7__:1
uint8_t __pad8__:7
uint8_t Quiet:1
uint8_t __pad9__:4
uint8_t TempS3:1
uint8_t __pad10__:3
uint8_t __pad11__:8
uint8_t ChecksumS3:8
}; |

## Member Data Documentation

## ◆ @15

struct { ... }

## ◆ __pad0__

uint8_t Bosch144Protocol::__pad0__

## ◆ __pad10__

uint8_t Bosch144Protocol::__pad10__

## ◆ __pad11__

uint8_t Bosch144Protocol::__pad11__

## ◆ __pad1__

uint8_t Bosch144Protocol::__pad1__

## ◆ __pad2__

uint8_t Bosch144Protocol::__pad2__

## ◆ __pad3__

uint8_t Bosch144Protocol::__pad3__

## ◆ __pad4__

uint8_t Bosch144Protocol::__pad4__

## ◆ __pad5__

uint8_t Bosch144Protocol::__pad5__

## ◆ __pad6__

uint8_t Bosch144Protocol::__pad6__

## ◆ __pad7__

uint8_t Bosch144Protocol::__pad7__

## ◆ __pad8__

uint8_t Bosch144Protocol::__pad8__

## ◆ __pad9__

uint8_t Bosch144Protocol::__pad9__

## ◆ ChecksumS3

uint8_t Bosch144Protocol::ChecksumS3

## ◆ FanS1

uint8_t Bosch144Protocol::FanS1

## ◆ FanS2

uint8_t Bosch144Protocol::FanS2

## ◆ FanS3

uint8_t Bosch144Protocol::FanS3

## ◆ InnvertS1_1

uint8_t Bosch144Protocol::InnvertS1_1

## ◆ InnvertS1_2

uint8_t Bosch144Protocol::InnvertS1_2

## ◆ InnvertS1_3

uint8_t Bosch144Protocol::InnvertS1_3

## ◆ InnvertS2_1

uint8_t Bosch144Protocol::InnvertS2_1

## ◆ InnvertS2_2

uint8_t Bosch144Protocol::InnvertS2_2

## ◆ InnvertS2_3

uint8_t Bosch144Protocol::InnvertS2_3

## ◆ ModeS1

uint8_t Bosch144Protocol::ModeS1

## ◆ ModeS2

uint8_t Bosch144Protocol::ModeS2

## ◆ ModeS3

uint8_t Bosch144Protocol::ModeS3

## ◆ Quiet

uint8_t Bosch144Protocol::Quiet

## ◆ raw

uint8_t Bosch144Protocol::raw[kBosch144StateLength]

The state in IR code form.

## ◆ TempS1

uint8_t Bosch144Protocol::TempS1

## ◆ TempS2

uint8_t Bosch144Protocol::TempS2

## ◆ TempS3

uint8_t Bosch144Protocol::TempS3

The documentation for this union was generated from the following file:

- src/ir_Bosch.h